com.hazelcast.client.config

## Class ClientUserCodeDeploymentConfig

- java.lang.Object
- - com.hazelcast.client.config.ClientUserCodeDeploymentConfig

-     public class ClientUserCodeDeploymentConfig
      extends Object

  Configuration of User Code Deployment. When enabled client sends configured classes to cluster. This simplifies deployment as you do not have to deploy your domain classes into classpath of all cluster members.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientUserCodeDeploymentConfig()`
    `ClientUserCodeDeploymentConfig(ClientUserCodeDeploymentConfig userCodeDeploymentConfig)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ClientUserCodeDeploymentConfig` | `addClass(Class clazz)`
    `ClientUserCodeDeploymentConfig` | `addClass(String className)`
    `ClientUserCodeDeploymentConfig` | `addJar(File jarFile)`
    `ClientUserCodeDeploymentConfig` | `addJar(String jarPath)` String jarPath is searched in following order: 1.
    `boolean` | `equals(Object o)`
    `List<String>` | `getClassNames()`
    `List<String>` | `getJarPaths()`
    `int` | `hashCode()`
    `boolean` | `isEnabled()`
    `ClientUserCodeDeploymentConfig` | `setClassNames(List<String> classNames)`
    `ClientUserCodeDeploymentConfig` | `setEnabled(boolean enabled)`
    `ClientUserCodeDeploymentConfig` | `setJarPaths(List<String> jarPaths)` String jarPath is searched in following order: 1.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientUserCodeDeploymentConfig

          public ClientUserCodeDeploymentConfig()

    - #### ClientUserCodeDeploymentConfig

          public ClientUserCodeDeploymentConfig(ClientUserCodeDeploymentConfig userCodeDeploymentConfig)

  - ### Method Detail

    - #### isEnabled

          public boolean isEnabled()

      Returns:
        {`true`} when User Code Deployment is enabled

    - #### setEnabled

          public ClientUserCodeDeploymentConfig setEnabled(boolean enabled)

      Parameters:
        `enabled` - Enable or disable User Code Deployment. Default: {`false`}
      Returns:
        this for chaining

    - #### getClassNames

          public List<String> getClassNames()

      Returns:
        list of configured class names

    - #### getJarPaths

          public List<String> getJarPaths()

      Returns:
        list of configured jar path

    - #### setClassNames

          public ClientUserCodeDeploymentConfig setClassNames(List<String> classNames)

      Parameters:
        `classNames` - names of the classes that will be send to cluster
      Returns:
        this for chaining

    - #### setJarPaths

          public ClientUserCodeDeploymentConfig setJarPaths(List<String> jarPaths)

      String jarPath is searched in following order: 1. as absolute path, 2. as URL, 3. and in classpath.
      Parameters:
        `jarPaths` - add list of jarPaths that will be send to clusters
      Returns:
        this for chaining

    - #### addClass

          public ClientUserCodeDeploymentConfig addClass(String className)

      Parameters:
        `className` - name of the class that will be send to cluster
      Returns:
        this for chaining

    - #### addClass

          public ClientUserCodeDeploymentConfig addClass(Class clazz)

      Parameters:
        `clazz` - class that will be send to cluster
      Returns:
        this for chaining

    - #### addJar

          public ClientUserCodeDeploymentConfig addJar(String jarPath)

      String jarPath is searched in following order: 1. as absolute path, 2. as URL, 3. and in classpath.
      Parameters:
        `jarPath` - path of the jar that will be send to clusters
      Returns:
        this for chaining

    - #### addJar

          public ClientUserCodeDeploymentConfig addJar(File jarFile)

      Parameters:
        `jarFile` - path of the jar that will be send to clusters
      Returns:
        this for chaining

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2019. All rights reserved.